=== debian/changelog ===
libcontra (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Dec 2023 19:20:28 +0100

libcontra (0.2.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Nov 2023 22:20:27 +0100
