=== debian/control ===
Source: libcontra
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, texlive-binaries
	, texlive-latex-base
	, imagemagick
	, doxygen
	, texlive-latex-recommended
Standards-Version: 4.6.2
Homepage: https://git.alteholz.dev/libcontra
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/alteholz/libcontra
Vcs-Git: https://salsa.debian.org/alteholz/libcontra.git

Package: libcontra1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LIBrary for CONnection TRAcking
 LD_PRELOADing this library enables one to log calls to several
 network functions.
