=== debian/watch ===
version=4
https://git.alteholz.dev/alteholz/libcontra/tags?sort=updated_desc archive/v?\d[\d.]+/libcontra-v?([\d.]+)@ARCHIVE_EXT@ debian uupdate
